/* ================================== Utility Styles ================================== */

#mobile-header {
    display: none;
}

:root {
    --orange: #e77f32;
    --purple: #290d47;
    --gray: #cccccc;
    --light: #f2f2f2;
}
@font-face {
    font-family: Numans;
    src: url(/fonts/Numans-Regular.ttf);
}
html {
    color: black;
    font-family: Numans;
}
h1 {
    font-size: 7rem;
}
h2 {
    font-size: 4rem;
}
h3 {
    font-size: 3rem;
}
.column > h3 {
    margin-bottom: 1rem;
    color: var(--purple);
}
h4 {
    font-size: 2.25rem;
}
.speciality-page .column > h4 {
    margin-bottom: 1rem;
}
h5 {
    font-size: 2.25rem;
    font-weight: 700;
}
h6 {
    font-weight: 700;
    font-size: 1.5rem;
}
p + h6 {
    margin-top: 2rem;
}
p,
i,
strong,
a,
input,
select,
label,
button,
textarea,
::placeholder,
li {
    font-size: 1.5rem;
    color: var(--black);
}
p + p,
P + h3,
ul + p,
p + ul {
    padding-top: 2rem;
}
a {
    transition-property: filter;
    transition-duration: 0.3s;
    color: var(--purple);
}
a:hover,
button:hover {
    filter: brightness(0.7);
}
section {
    padding: 2rem 0;
}
button {
    border-radius: 0;
    border: none;
}
li {
    padding-bottom: 0.75rem;
    margin-left: 2rem;
    list-style-type: disc;
}

.orange-button {
    background-color: var(--orange);
    border-radius: 2rem;
    padding: 0.75rem 3rem;
    color: white;
    text-decoration: none !important;
}
.purple-button {
    background-color: var(--purple);
    border-radius: 2rem;
    padding: 0.75rem 3rem;
    color: white;
    text-decoration: none !important;
}
.ghost-button {
    border: solid 2px var(--purple);
    background-color: white;
    border-radius: 2rem;
    padding: 0.75rem 3rem;
    color: var(--purple);
    text-decoration: none !important;
}
.gray-row {
    background-color: var(--light);
    padding: 3rem 0;
}
.bold {
    font-weight: bold;
}
.orange {
    color: var(--orange);
}

/* ================================== Main Styles ================================== */
#mobile-navigation {
    display: none;
}
header {
    grid-template-columns: 1fr 2.5fr;
    grid-template-rows: repeat(2, auto);
    grid-column-gap: 1px;
    grid-row-gap: 0px;
}
header li,
header nav li div {
    display: inline;
}
#logo {
    grid-area: 1 / 1 / 3 / 2;
    width: 25rem;
}
#specialties-nav-items,
#forms-nav-items {
    position: absolute;
    background-color: white;
    padding: 2rem;
    box-shadow: 0 0 0.5rem #555555;
    right: 5rem;
    text-align: left;
}
#forms-nav-items {
    right: 45rem;
}
#specialties-nav-items a,
#forms-nav-items a {
    display: block;
    margin: 0.5rem;
}
#specialties-nav-items a:hover,
#forms-nav-items a:hover,
nav a:hover {
    color: var(--orange);
    filter: none;
}
#header-buttons {
    grid-area: 1 / 2 / 2 / 3;
    text-align: end;
    margin-bottom: 2rem;
}
#header-buttons img {
    width: 2rem;
    transform: translateY(0.5rem);
}
#desktop-navigation {
    grid-area: 2 / 2 / 3 / 3;
    text-align: end;
    border-bottom: solid 1px var(--gray);
    padding: 0.5rem 0;
}
#desktop-navigation img {
    width: 1rem;
}
nav a {
    text-decoration: none;
    color: black;
}
#hero-row {
    background-image: url(/images/home-hero.jpg);
    background-size: 100vw;
    background-position-y: bottom;
    background-repeat: no-repeat;
}
#hero .column {
    width: 48rem;
    padding-bottom: 33rem;
}
#hero h1 {
    color: var(--purple);
    font-size: 4.8rem;
}
#hero h4 {
    margin: 3rem auto;
}
#hero p {
    margin-bottom: 4rem;
}
#specialties {
    background-color: var(--purple);
    color: white;
}
#specialties a,
#specialties p {
    color: white;
    display: block;
    text-decoration: none;
    margin-bottom: 2rem;
}
#specialties h2 {
    text-align: center;
    border-bottom: solid 0.25rem var(--orange);
    padding-bottom: 1rem;
    text-transform: uppercase;
    color: white;
}
#transforming-values {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(2, auto);
    grid-column-gap: 0px;
    grid-row-gap: 0px;
}
#grid-a {
    grid-area: 1 / 1 / 2 / 2;
}
#grid-b {
    grid-area: 2 / 1 / 3 / 2;
}
#grid-c {
    grid-area: 1 / 2 / 2 / 3;
}
#grid-d {
    grid-area: 2 / 2 / 3 / 3;
}
#grid-e {
    grid-area: 1 / 3 / 2 / 4;
}
#grid-f {
    grid-area: 2 / 3 / 3 / 4;
}

#transforming-values h6 {
    color: var(--purple);
    font-size: 2rem;
    padding-bottom: 0.5rem;
    border-bottom: solid 0.25rem var(--purple);
    margin-bottom: 1rem;
}
.section-title {
    border-bottom: solid 0.25rem var(--gray);
    text-align: center;
    text-transform: uppercase;
    color: var(--purple);
    font-size: 3rem;
    padding-bottom: 1rem;
}
#professional-development a {
    margin: 3rem 15rem;
    text-align: center;
    display: block;
}
#reviews {
    background-color: #f2f2f2;
    padding: 4rem;
}
#carousel {
    margin: 2rem auto;
    width: 70%;
    text-align: center;
}
.slick-prev {
    left: -5rem !important;
}
.slick-next {
    right: -5rem !important;
}
#contact {
    width: 90rem;
}
#contact a {
    text-decoration: none;
}

footer {
    background-color: #f2f2f2;
}
#footer-grid {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 3.5rem auto;
    grid-column-gap: 1rem;
}
#footer-logo {
    grid-area: 1 / 1 / 3 / 2;
}
#footer-logo img {
    margin-bottom: 2rem;
}
#footer-logo a,
#footer-logo p {
    text-decoration: none;
    font-size: 1.25rem;
}
#footer-logo p:last-of-type {
    margin-bottom: 2rem;
}
footer .orange-button {
    margin: 4rem;
}
#sitemap {
    grid-area: 1 / 2 / 3 / 3;
    margin: 0 3rem;
}
#footer-specialties-title {
    grid-area: 1 / 3 / 2 / 5;
}
#footer-specialties-1 {
    grid-area: 2 / 3 / 3 / 4;
}
#footer-specialties-2 {
    grid-area: 2 / 4 / 3 / 5;
}
footer h5 {
    font-size: 1.75rem;
    border-bottom: solid 1px var(--gray);
    margin-bottom: 1rem;
    padding-bottom: 0.5rem;
}
#footer-specialties-1 a,
#footer-specialties-2 a,
#sitemap a {
    display: block;
    text-decoration: none;
    font-size: 1.25rem;
    margin-bottom: 1rem;
}
#copyright-row {
    background-color: #cccccc;
}
#copyright-row p {
    font-size: 1rem;
}
#under-construction {
    text-align: center;
    padding: 14rem 14rem 20rem 14rem;
}
#bret-button {
    display: block;
    text-align: center;
    margin: 4rem;
}
.answer {
    margin-bottom: 3rem;
}
#faq-page h2 {
    text-align: center;
    margin: 4rem;
    color: var(--purple);
}
#plans {
    display: flex;
    justify-content: space-around;
}
#plans + p {
    margin-top: 2rem;
}
#mentorship-page .flex-row {
    align-items: center;
}
#mentorship-page h3 {
    color: var(--purple);
    margin-bottom: 1rem;
}
#mentorship-page h4 {
    color: var(--orange);
}
input,
textarea {
    width: 100%;
    border: none;
    background-color: var(--light);
    padding: 1rem;
    margin-bottom: 1rem;
}
#team-page .team-grid {
    display: flex;
    flex-flow: wrap row;
    justify-content: flex-start;
    column-gap: calc((100% - (32% * 3)) / 2);
    text-align: center;
}

.team-grid .team-member {
    max-width: 32%;
    margin-bottom: 2rem;
}

.team-bio {
    display: flex;
    gap: 2%;
}

.bio-photo {
    flex: 0 0 30%;
}

.message {
    padding: 15px;
    border-radius: 4px;
    margin: 15px 0;
    text-align: center;
    font-family: Numans;
    margin: 0 0 0 1rem;
}

.message.success {
    background-color: #d4edda;
    color: #155724;
    border: 2px solid #c3e6cb;
}

.message.error {
    background-color: #f8d7da;
    color: #721c24;
    border: 2px solid #f5c6cb;
}

/* ================================== Mobile Styles ================================== */

@media screen and (max-width: 720px) {
    #header-buttons a {
        font-size: 1rem;
        padding: 1rem 1.5rem;
    }
    #desktop-navigation {
        display: none;
    }
    #mobile-navigation,
    header li,
    #footer-grid {
        display: block;
    }
    #mobile-nav-button {
        padding: 1rem;
        margin: 2rem 0;
        border: solid 0.25rem var(--gray);
        background-color: white;
        width: 36rem;
    }
    #mobile-nav-menu li img {
        width: 1.5rem;
    }
    #mobile-nav-menu li {
        margin-bottom: 2rem;
    }
    #mobile-nav-menu li div a {
        display: block;
        margin-left: 2rem;
        margin-bottom: 2rem;
    }
    #forms-nav-dropdown-mobile,
    #specialties-nav-dropdown-mobile {
        display: inline;
    }
    #forms-nav-items-mobile,
    #specialties-nav-items-mobile {
        margin-top: 2rem;
    }
    header {
        display: flex !important;
        flex-direction: column-reverse;
    }
    #logo {
        width: unset;
    }
    #header-buttons {
        text-align: center;
    }
    #hero .column {
        width: unset;
        padding-bottom: 15rem;
    }
    #hero h1 {
        font-size: 3.4rem;
    }
    #transforming-values {
        display: grid;
        grid-template-columns: 1fr;
        grid-template-rows: repeat(5, auto);
        grid-column-gap: 0px;
        grid-row-gap: 0px;
    }
    #grid-c {
        grid-area: 1 / 1 / 2 / 2;
    }
    #grid-a {
        grid-area: 2 / 1 / 3 / 2;
    }
    #grid-d {
        grid-area: 3 / 1 / 4 / 2;
    }
    #grid-b {
        grid-area: 4 / 1 / 5 / 2;
    }
    #grid-e {
        grid-area: 5 / 1 / 6 / 2;
    }
    #grid-f {
        display: none;
    }
    #professional-development a {
        margin: 3rem 5rem;
    }
    #contact {
        width: unset;
    }
    #sitemap {
        margin: 2rem 0;
    }
    footer .orange-button {
        margin: 0;
    }
    #footer-logo {
        padding: 0;
    }
    #under-construction {
        padding: 2rem 2rem 8rem 2rem;
    }
    #mentorship-page .flex-row:first-of-type {
        display: flex;
        flex-direction: column-reverse;
    }
    #mentorship-page h3,
    #mentorship-page h4 {
        text-align: center;
        padding-bottom: 1rem;
    }
    form {
        padding: 0 !important;
        width: 36rem;
    }
    #specialties-row .column {
        padding: 0 1rem;
    }

    .team-grid .team-member {
        max-width: 100%;
    }

    .team-bio {
        display: block;
    }

    .bio-photo {
        margin-bottom: 2rem;
    }
}
